org.apache.struts2.jasper

## Class EmbeddedServletOptions

- java.lang.Object
- - org.apache.struts2.jasper.EmbeddedServletOptions

- All Implemented Interfaces:
    Options

      public final class EmbeddedServletOptions
      extends Object
      implements Options

  A class to hold all init parameters specific to the JSP engine.
  Author:
    Anil K. Vijendran, Hans Bergsten, Pierre Delisle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `fork` Should Ant fork its java compiles of JSP pages.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedServletOptions(javax.servlet.ServletConfig config, javax.servlet.ServletContext context)` Create an EmbeddedServletOptions object using data available from ServletConfig and ServletContext.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `genStringAsCharArray()` Are Text strings to be generated as char arrays?
    `Map` | `getCache()` The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
    `int` | `getCheckInterval()` Background JSP compile thread check intervall
    `boolean` | `getClassDebugInfo()` Should class files be compiled with debug information?
    `String` | `getClassPath()` What classpath should I use while compiling the servlets generated from JSP files?
    `String` | `getCompiler()` Compiler to use.
    `String` | `getCompilerClassName()` Java compiler class to use.
    `String` | `getCompilerSourceVM()`
    `String` | `getCompilerTargetVM()`
    `boolean` | `getDevelopment()` Is Jasper being used in development mode?
    `boolean` | `getDisplaySourceFragment()`
    `boolean` | `getErrorOnUseBeanInvalidClassAttribute()`
    `boolean` | `getFork()`
    `String` | `getIeClassId()` Class ID for use in the plugin tag when the browser is IE.
    `String` | `getJavaEncoding()`
    `JspConfig` | `getJspConfig()`
    `boolean` | `getKeepGenerated()` Are we keeping generated code around?
    `boolean` | `getMappedFile()` Are we supporting HTML mapped servlets?
    `int` | `getModificationTestInterval()` Modification test interval.
    `String` | `getProperty(String name)`
    `File` | `getScratchDir()` What is my scratch dir?
    `TagPluginManager` | `getTagPluginManager()`
    `TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
    `boolean` | `getTrimSpaces()` Should white spaces between directives or actions be trimmed?
    `boolean` | `isCaching()`
    `boolean` | `isPoolingEnabled()`
    `boolean` | `isSmapDumped()` Should SMAP info for JSR45 debugging be dumped to a file?
    `boolean` | `isSmapSuppressed()` Is the generation of SMAP info for JSR45 debuggin suppressed?
    `boolean` | `isXpoweredBy()` Is generation of X-Powered-By response header enabled/disabled?
    `void` | `setErrorOnUseBeanInvalidClassAttribute(boolean b)`
    `void` | `setProperty(String name, String value)`
    `void` | `setTldLocationsCache(TldLocationsCache tldC)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fork

          public boolean fork

      Should Ant fork its java compiles of JSP pages.

  - ### Constructor Detail

    - #### EmbeddedServletOptions

          public EmbeddedServletOptions(javax.servlet.ServletConfig config,
                                        javax.servlet.ServletContext context)

      Create an EmbeddedServletOptions object using data available from ServletConfig and ServletContext.
      Parameters:
        `config` - servlet config
        `context` - servlet context

  - ### Method Detail

    - #### getProperty

          public String getProperty(String name)

    - #### setProperty

          public void setProperty(String name,
                                  String value)

    - #### getKeepGenerated

          public boolean getKeepGenerated()

      Are we keeping generated code around?
      Specified by:
        `getKeepGenerated` in interface `Options`
      Returns:
        Are we keeping generated code around?

    - #### getTrimSpaces

          public boolean getTrimSpaces()

      Should white spaces between directives or actions be trimmed?
      Specified by:
        `getTrimSpaces` in interface `Options`
      Returns:
        Should white spaces between directives or actions be trimmed?

    - #### isPoolingEnabled

          public boolean isPoolingEnabled()

      Specified by:
        `isPoolingEnabled` in interface `Options`
      Returns:
        true if tag handler pooling is enabled, false otherwise.

    - #### getMappedFile

          public boolean getMappedFile()

      Are we supporting HTML mapped servlets?
      Specified by:
        `getMappedFile` in interface `Options`
      Returns:
        Are we supporting HTML mapped servlets?

    - #### getClassDebugInfo

          public boolean getClassDebugInfo()

      Should class files be compiled with debug information?
      Specified by:
        `getClassDebugInfo` in interface `Options`
      Returns:
        Should we include debug information in compiled class?

    - #### getCheckInterval

          public int getCheckInterval()

      Background JSP compile thread check intervall
      Specified by:
        `getCheckInterval` in interface `Options`
      Returns:
        Background compile thread check interval in seconds

    - #### getModificationTestInterval

          public int getModificationTestInterval()

      Modification test interval.
      Specified by:
        `getModificationTestInterval` in interface `Options`
      Returns:
        Modification test interval.

    - #### getDevelopment

          public boolean getDevelopment()

      Is Jasper being used in development mode?
      Specified by:
        `getDevelopment` in interface `Options`
      Returns:
        Is Jasper being used in development mode?

    - #### isSmapSuppressed

          public boolean isSmapSuppressed()

      Is the generation of SMAP info for JSR45 debuggin suppressed?
      Specified by:
        `isSmapSuppressed` in interface `Options`
      Returns:
        Is the generation of SMAP info for JSR45 debugging suppressed?

    - #### isSmapDumped

          public boolean isSmapDumped()

      Should SMAP info for JSR45 debugging be dumped to a file?
      Specified by:
        `isSmapDumped` in interface `Options`
      Returns:
        Indicates whether SMAP info for JSR45 debugging should be dumped to a file. Ignored is suppressSmap() is true

    - #### genStringAsCharArray

          public boolean genStringAsCharArray()

      Are Text strings to be generated as char arrays?
      Specified by:
        `genStringAsCharArray` in interface `Options`
      Returns:
        Are Text strings to be generated as char arrays?

    - #### getIeClassId

          public String getIeClassId()

      Class ID for use in the plugin tag when the browser is IE.
      Specified by:
        `getIeClassId` in interface `Options`
      Returns:
        Class ID for use in the plugin tag when the browser is IE.

    - #### getScratchDir

          public File getScratchDir()

      What is my scratch dir?
      Specified by:
        `getScratchDir` in interface `Options`
      Returns:
        What is my scratch dir?

    - #### getClassPath

          public String getClassPath()

      What classpath should I use while compiling the servlets generated from JSP files?
      Specified by:
        `getClassPath` in interface `Options`
      Returns:
        What classpath should I use while compiling the servlets generated from JSP files?

    - #### isXpoweredBy

          public boolean isXpoweredBy()

      Is generation of X-Powered-By response header enabled/disabled?
      Specified by:
        `isXpoweredBy` in interface `Options`
      Returns:
        Is generation of X-Powered-By response header enabled/disabled?

    - #### getCompiler

          public String getCompiler()

      Compiler to use.
      Specified by:
        `getCompiler` in interface `Options`
      Returns:
        Compiler to use.

    - #### getCompilerTargetVM

          public String getCompilerTargetVM()

      Specified by:
        `getCompilerTargetVM` in interface `Options`
      Returns:
        The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.
      See Also:
        `Options.getCompilerTargetVM()`

    - #### getCompilerSourceVM

          public String getCompilerSourceVM()

      Specified by:
        `getCompilerSourceVM` in interface `Options`
      Returns:
        Compiler source VM, e.g. 1.3, 1.4, or 1.5.
      See Also:
        `Options.getCompilerSourceVM()`

    - #### getCompilerClassName

          public String getCompilerClassName()

      Java compiler class to use.
      Specified by:
        `getCompilerClassName` in interface `Options`
      Returns:
        Java compiler class to use.

    - #### getErrorOnUseBeanInvalidClassAttribute

          public boolean getErrorOnUseBeanInvalidClassAttribute()

      Specified by:
        `getErrorOnUseBeanInvalidClassAttribute` in interface `Options`
      Returns:
        true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

    - #### setErrorOnUseBeanInvalidClassAttribute

          public void setErrorOnUseBeanInvalidClassAttribute(boolean b)

    - #### getTldLocationsCache

          public TldLocationsCache getTldLocationsCache()

      Description copied from interface: `Options`
      The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).
      Specified by:
        `getTldLocationsCache` in interface `Options`
      Returns:
        the instance of the TldLocationsCache for the web-application.

    - #### setTldLocationsCache

          public void setTldLocationsCache(TldLocationsCache tldC)

    - #### getJavaEncoding

          public String getJavaEncoding()

      Specified by:
        `getJavaEncoding` in interface `Options`
      Returns:
        Java platform encoding to generate the JSP page servlet.

    - #### getFork

          public boolean getFork()

      Specified by:
        `getFork` in interface `Options`
      Returns:
        boolean flag to tell Ant whether to fork JSP page compilations.

    - #### getJspConfig

          public JspConfig getJspConfig()

      Specified by:
        `getJspConfig` in interface `Options`
      Returns:
        Obtain JSP configuration information specified in web.xml.

    - #### getTagPluginManager

          public TagPluginManager getTagPluginManager()

      Specified by:
        `getTagPluginManager` in interface `Options`
      Returns:
        Obtain a Tag Plugin Manager

    - #### isCaching

          public boolean isCaching()

      Specified by:
        `isCaching` in interface `Options`
      Returns:
        Is caching enabled (used for precompilation).

    - #### getCache

          public Map getCache()

      Description copied from interface: `Options`
      The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
      Specified by:
        `getCache` in interface `Options`
      Returns:
        the Map(String uri, TreeNode tld) instance.

    - #### getDisplaySourceFragment

          public boolean getDisplaySourceFragment()

      Specified by:
        `getDisplaySourceFragment` in interface `Options`
      Returns:
        Should we include a source fragment in exception messages, which could be displayed to the developer ?

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.